<script>
    import SvelteMarkdown from 'svelte-markdown'
    export let sponsor;
    let backend = import.meta.env.VITE_BACKEND;
//   {
//     "name": "string",
//     "description": "string",
//     "link": "string",
//     "id": 0,
//     "image_file": "string"
//   }

    if (!sponsor.image_file) {
        backend = 'https://picsum.photos/1024?r=' + Math.random();
    } 
</script>

<div class="card w-96 bg-base-300 shadow-xl">
    <figure>
        <img loading="lazy" src="{backend + sponsor.image_file}" alt="Sponsor"/>
    </figure>
    <div class="card-body">
        <!-- Name; description & role -->
        <h2 class="card-title text-3xl">{sponsor.name}</h2>
        <a href="{sponsor.link}" class="text-2xl">> Aller voir</a>
        <p><SvelteMarkdown source={sponsor.description} /></p>
    </div>
</div>